GNU bug report logs - #43047
28.0.50; Closing Gnus server then searching it results in unrecoverable breakage

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eric Abrahamsen <eric@HIDDEN>; dated Tue, 25 Aug 2020 18:13:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43047 <at> debbugs.gnu.org:


Received: (at 43047) by debbugs.gnu.org; 16 Oct 2020 08:22:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 16 04:22:05 2020
Received: from localhost ([127.0.0.1]:57567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTL01-0005O2-0b
	for submit <at> debbugs.gnu.org; Fri, 16 Oct 2020 04:22:05 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kTKzy-0005NX-Oo
 for 43047 <at> debbugs.gnu.org; Fri, 16 Oct 2020 04:22:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ncw9jG+qKotI9agtrHLUt3pUdKqDkp7/93vyS6Gn51M=; b=RgIh4eNBtWSzitQ87zVo8DdrFk
 Sib24ZP4MMEreyCVt2CJ2Ho2DSBE6Kw4d14QxiMyqAq2CGTUfRRgHMoMUEAxaqELO5aQIvTNcpvet
 k1nJVOqK5WK/oCtNEb2owxN7zKr3QvDYcFrGC9OCb4nU7fEu6yiinKiU+V4DNh3IePk4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kTKzp-0000cQ-Ti; Fri, 16 Oct 2020 10:21:56 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#43047: 28.0.50; Closing Gnus server then searching it
 results in unrecoverable breakage
References: <87zh6i388d.fsf@HIDDEN>
X-Now-Playing: ELP's _Tarkus_: "Tarkus"
Date: Fri, 16 Oct 2020 10:21:52 +0200
In-Reply-To: <87zh6i388d.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 25 Aug 2020 11:12:34 -0700")
Message-ID: <87sgaemvhb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eric Abrahamsen <eric@HIDDEN> writes: > That's
 as far as I've gotten now. I will continue debugging this, but > I'm hanging
 it here first to remind myself, and in case anyone else > wants to take a
 whack at it. > > Debugger entered--Lisp [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43047
Cc: 43047 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> That's as far as I've gotten now. I will continue debugging this, but
> I'm hanging it here first to remind myself, and in case anyone else
> wants to take a whack at it.
>
> Debugger entered--Lisp error: (error "NPR/imaps Name or service not known")
>   make-network-process(:name "*nnimap*" :buffer #<buffer *nnimap NPR
> nil *nntpd**> :host "NPR" :service "imaps" :nowait nil :tls-parameters
> nil :coding nil)

Reading this bug report, it's somewhat unclear what the problem is.  Is
"NPR" really the name of the server you're connecting to, or is that the
problem?  That Gnus is trying to connect to "NPR"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43047; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Aug 2020 18:12:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 25 14:12:49 2020
Received: from localhost ([127.0.0.1]:36026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAdRB-0003cx-10
	for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 14:12:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:50430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1kAdR9-0003cp-75
 for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 14:12:47 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50512)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eric@HIDDEN>)
 id 1kAdR8-0001WI-D9
 for bug-gnu-emacs@HIDDEN; Tue, 25 Aug 2020 14:12:46 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:58434
 helo=mail.ericabrahamsen.net)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eric@HIDDEN>)
 id 1kAdR6-0005Wr-8m
 for bug-gnu-emacs@HIDDEN; Tue, 25 Aug 2020 14:12:46 -0400
Received: from localhost (75-172-112-137.tukw.qwest.net [75.172.112.137])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 5661BFA30C
 for <bug-gnu-emacs@HIDDEN>; Tue, 25 Aug 2020 18:12:36 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericabrahamsen.net;
 s=mail; t=1598379156;
 bh=y9qb96zxrkV1sAsdGTbLmr7U17V0IvirMmVHRNluULA=;
 h=From:To:Subject:Date:From;
 b=k0pcMK30y1aziuUNv2Z5J8VnkEssHQIT/oZfTtXUYjWn5BfagOKZD3N8lEV1PAGo2
 FcEA69SHxHxJQpdxCArfibEAVhp5OasShNH+ef8xnFSTM7A4o/TMZmQ3+OyUoTduLp
 CTNEaB5tg/IVq2d+Jtmyf1q4/8p0FPH3+7owz/Cs=
From: Eric Abrahamsen <eric@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Closing Gnus server then searching it results in
 unrecoverable breakage
Date: Tue, 25 Aug 2020 11:12:34 -0700
Message-ID: <87zh6i388d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=52.70.2.18; envelope-from=eric@HIDDEN;
 helo=mail.ericabrahamsen.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/25 14:12:36
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


While fooling around with dbus and server closing, I discovered that the
"closed" state is a bit fragile: I close a server (in this case a
localhost IMAP server) then immediately try to search it, and instead of
the server opening, or me getting a polite error message, I get the
error at the bottom of this report.

That error is then permanent, the server can't be re-opened. Not only
that, when I `gnus-group-restart' the error persists, AND infects my
second IMAP server on localhost, though I guess that's to be expected.
Gnus has to be explicitly quit and then restarted in order to recover.

I note that, in `nnimap-open-server', when I'm trying to open a server
that was closed, the DEFS parameter is populated. But when we get to
`nnoo-change-server', none of the global nnimap-* variables get set
correctly: nnimap-stream should be 'network, but it's 'undecided, which
is why the backtrace below shows failure on an attempted ssl connection.

If I try to open a server that's already open, the DEFS parameter is
nil, but after we reach the `nnoo-change-server' call, all the nnimap-*
vars are set correctly.

That's as far as I've gotten now. I will continue debugging this, but
I'm hanging it here first to remind myself, and in case anyone else
wants to take a whack at it.

Debugger entered--Lisp error: (error "NPR/imaps Name or service not known")
  make-network-process(:name "*nnimap*" :buffer #<buffer  *nnimap NPR nil  *nntpd**> :host "NPR" :service "imaps" :nowait nil :tls-parameters nil :coding nil)
  open-network-stream("*nnimap*" #<buffer  *nnimap NPR nil  *nntpd**> "NPR" "imaps" :nowait nil :tls-parameters nil :coding nil)
  open-gnutls-stream("*nnimap*" #<buffer  *nnimap NPR nil  *nntpd**> "NPR" "imaps" (:type ssl :warn-unless-encrypted t :return-list t :shell-command "ssh %s imapd" :capability-command "1 CAPABILITY\15\n" :always-query-capabilities t :end-of-command "\15\n" :success " OK " :starttls-function #f(compiled-function (capabilities) #<bytecode -0xeb17a16a56719de>)))
  network-stream-open-tls("*nnimap*" #<buffer  *nnimap NPR nil  *nntpd**> "NPR" "imaps" (:type ssl :warn-unless-encrypted t :return-list t :shell-command "ssh %s imapd" :capability-command "1 CAPABILITY\15\n" :always-query-capabilities t :end-of-command "\15\n" :success " OK " :starttls-function #f(compiled-function (capabilities) #<bytecode -0xeb17a16a56719de>)))
  open-network-stream("*nnimap*" #<buffer  *nnimap NPR nil  *nntpd**> "NPR" "imaps" :type ssl :warn-unless-encrypted t :return-list t :shell-command "ssh %s imapd" :capability-command "1 CAPABILITY\15\n" :always-query-capabilities t :end-of-command "\15\n" :success " OK " :starttls-function #f(compiled-function (capabilities) #<bytecode -0xeb17a16a56719de>))
  nnimap-open-connection-1(#<buffer  *nntpd*>)
  nnimap-open-connection(#<buffer  *nntpd*>)
  nnimap-open-server("NPR" nil nil)
  nnimap-change-group("INBOX" "NPR")
  #f(compiled-function (group) #<bytecode -0x1990b256ae59c812>)("nnimap+NPR:INBOX")
  mapcar(#f(compiled-function (group) #<bytecode -0x1990b256ae59c812>) ("nnimap+NPR:INBOX"))
  nnir-run-imap(((query . "body \"searchy\"")) "nnimap:NPR" ("nnimap+NPR:INBOX"))




Acknowledgement sent to Eric Abrahamsen <eric@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43047; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 16 Oct 2020 08:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.